use serde::{Serialize, Deserialize};

#[derive(Serialize, Deserialize)]
pub struct MumbleConfig {
    pub host: String,
    pub username: String,
    pub channel_id: u32
}

#[derive(Serialize, Deserialize)]
pub struct TelegramConfig {
    pub token: String,
    pub chat_id: i64
}

#[derive(Serialize, Deserialize)]
pub struct Config {
    pub mumble: MumbleConfig,
    pub telegram: TelegramConfig
}